Computer Security
[EN] securityvulns.ru no-pyccku


FreeType2 library multiple security vulnerabilities
Published:10.06.2008
Source:
SecurityVulns ID:9072
Type:library
Threat Level:
7/10
Description:Multiple integer overflows, buffer overflows, memory corruptions.
Affected:FREETYPE : FreeType 2.3
CVE:CVE-2008-1808 (Multiple off-by-one errors in FreeType2 before 2.3.6 allow context-dependent attackers to execute arbitrary code via (1) a crafted table in a Printer Font Binary (PFB) file or (2) a crafted SHC instruction in a TrueType Font (TTF) file, which triggers a heap-based buffer overflow.)
 CVE-2008-1807 (FreeType2 before 2.3.6 allow context-dependent attackers to execute arbitrary code via an invalid "number of axes" field in a Printer Font Binary (PFB) file, which triggers a free of arbitrary memory locations, leading to memory corruption.)
 CVE-2008-1806 (Integer overflow in FreeType2 before 2.3.6 allows context-dependent attackers to execute arbitrary code via a crafted set of 16-bit length values within the Private dictionary table in a Printer Font Binary (PFB) file, which triggers a heap-based buffer overflow.)
Original documentdocumentIDEFENSE, iDefense Security Advisory 06.10.08: Multiple Vendor FreeType2 Multiple Heap Overflow Vulnerabilities (10.06.2008)
 documentIDEFENSE, iDefense Security Advisory 06.10.08: Multiple Vendor FreeType2 PFB Memory Corruption Vulnerability (10.06.2008)
 documentIDEFENSE, iDefense Security Advisory 06.10.08: Multiple Vendor FreeType2 PFB Integer Overflow Vulnerability (10.06.2008)

About | Terms of use | Privacy Policy
© SecurityVulns, 3APA3A, Vladimir Dubrovin
Nizhny Novgorod